import { type ComponentProps } from 'react'

import { type RootStylesProps, rootStyles } from './Display.styles'

type DisplayProps = ComponentProps<'strong'> & RootStylesProps

function Display({ level = 1, className, ...props }: DisplayProps) {
	return <strong className={rootStyles({ level, className })} {...props} />
}

export { Display }
